> For the complete documentation index, see [llms.txt](https://docs.cartographer3d.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cartographer3d.com/original-plugin/installation/migrating-from-cartographer-to-scanner.md).

# Migrating from Cartographer to Scanner

If you've been using **\[cartographer]** its time to update to **\[scanner]**

### Moonraker.conf Changes

```yaml
[update_manager cartographer]
type: git_repo
path: ~/cartographer-klipper
channel: stable
origin: https://github.com/Cartographer3D/cartographer-klipper.git
is_system_service: False
managed_services: klipper
info_tags:
  desc=Cartographer Probe
```

### Printer.cfg Changes

1. The **\[cartographer]** section needs to be renamed to **\[scanner]**
2. The following lines need to be added under \[scanner]

```yaml
sensor: cartographer
#    this must be set as cartographer unless using IDM etc.
sensor_alt: carto
#    alternate name to call commands. CARTO_TOUCH etc  
```

3. Update your \[adxl345] or \[lis2dw] sections

```yaml
[adxl345]
cs_pin: scanner:PA3
spi_bus: spi1

OR

[lis2dw]
cs_pin: scanner:PA3
spi_bus: spi1
```

4. Add to your existing \[bed\_mesh] section

```yaml
[bed_mesh]
zero_reference_position: 125, 125 # center of your bed
```

5. Remove the following macro

```yaml
[gcode_macro PROBE_CALIBRATE]
gcode:
    CARTOGRAPHER_CALIBRATE
```

6. Scroll down to the SAVE\_CONFIG portion of printer.cfg and remove the following

{% hint style="danger" %}
MAKE SURE YOU LEAVE NO BLANK/EMPTY LINES

Empty lines should contain nothing other than #\*#
{% endhint %}

```markup
#*# [cartographer model default]
#*# model_coef = 1.2756087614398297,
#*# 	1.7032235919205718,
#*# 	0.7549615279585394,
#*# 	0.33053182696977934,
#*# 	0.49230277115342924,
#*# 	0.603864368037255,
#*# 	-0.4286306328139887,
#*# 	-0.6071391058450671,
#*# 	0.4556606647261048,
#*# 	0.4209032930645854
#*# model_domain = 3.1397176509462183e-07,3.3604013404235566e-07
#*# model_range = 0.100000,5.000000
#*# model_temp = 23.255185
#*# model_offset = 0.00000
```

### What else?

1. Run the following script via SSH

```bash
cd ~/cartographer-klipper
./install.sh
```

2. Update your firmware to 5.0.0 or higher, using one of the [firmware updating guides found here](/original-plugin/firmware-archive/firmware-updating.md)
3. Restart klipper by entering the following code via SSH

```bash
sudo service klipper restart
```

## All done!

## Now just follow either the [TOUCH](/original-plugin/installation/calibration.md) or [SCAN ](/cartographer-probe/archive/scan-based-calibration.md)guides on re-calibrating.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.cartographer3d.com/original-plugin/installation/migrating-from-cartographer-to-scanner.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
